def substituir_placeholders_arquivo(cliente_linux, caminho_arquivo, substituicoes):
    placeholders_ordenados = sorted(
        substituicoes.items(),
        key=lambda item: len(item[0]),
        reverse=True
    )

    for placeholder, valor in placeholders_ordenados:
        cliente_linux.executar_comando(
            f"sed -i 's,{placeholder},{str(valor)},g' {caminho_arquivo}"
        )
